#include "htc.h"
#include "sound.h"

void init_PWM(void){

    CCP1CON = 0b00000000;   //bit 7-6: 00 = Single output; P1A modulated; P1B, P1C, P1D assigned as port pins
                            //bit 5-4: PWM Duty Cycle Least Significant bits
                            //bit 3-0: 0000 = ECCP1 off
    PR2 = 0x7F;         //// PWM period; Freq_PWM = 62.5 kHz when Fosc = 32 MHz
    T2CON = 0b00000000; //bit 7 Unimplemented: Read as ?0?
                        //bit 6-3: 0000 = 1:1 Postscaler
                        //bit 2: 0 = Timer2 is off
                        //bit 1-0: 00 = Prescaler is 1
    TMR2IF = 0;
    TMR2IE = 1;
    PEIE = 1;
//    GIE = 1;

}

/*
void sound_on(void){
    //PWM on
    CCP1CON = 0b00011100;   //bit 7-6: 00 = Single output; P1A modulated; P1B, P1C, P1D assigned as port pins
                        //bit 5-4: PWM Duty Cycle Least Significant bits
                        //bit 3-0: 1100 = PWM mode: P1A, P1C active-high; P1B, P1D active-high

    TMR2ON = 1;
    TMR2IE = 1;
}

void sound_off(void){
    CCP1CON = 0b00010000;
    TMR2IE = 0;
    SPK = 0;
}
*/