#ifndef SOUND_H
#define SOUND_H

#define STEP_C  69
#define STEP_Cs 73
#define STEP_D  77
#define STEP_Ds 82
#define STEP_E  86
#define STEP_F  92
#define STEP_Fs 97
#define STEP_G  103
#define STEP_Gs 109
#define STEP_A  115
#define STEP_As 122
#define STEP_B  129
#define STEP_Cup 137

/*
const unsigned char step_tbl[8] = {
    STEP_C, STEP_D, STEP_E, STEP_F, STEP_G, STEP_A, STEP_B, STEP_Cup
};
*/

const unsigned char step_tbl[32] = {0,
    STEP_E/2, STEP_F/2, STEP_Fs/2, STEP_G/2, STEP_Gs/2, STEP_A/2, STEP_As/2, STEP_B/2,
    STEP_C, STEP_Cs, STEP_D, STEP_Ds, STEP_E, STEP_F, STEP_Fs, STEP_G, STEP_Gs, STEP_A, STEP_As, STEP_B,
    STEP_Cup, STEP_Cs*2, STEP_D*2, STEP_Ds*2, STEP_E*2, STEP_F*2, STEP_Fs*2, STEP_G*2, STEP_Gs*2, STEP_A*2, STEP_As*2
};


/*
const unsigned char sin_tbl[128] = {
    128, 134, 140, 147, 153, 159, 165, 171,
    177, 182, 188, 193, 199, 204, 209, 213,
    218, 222, 226, 230, 234, 237, 240, 243,
    245, 248, 250, 251, 253, 254, 254, 255,
    255, 255, 254, 254, 253, 251, 250, 248,
    245, 243, 240, 237, 234, 230, 226, 222,
    218, 213, 209, 204, 199, 193, 188, 182,
    177, 171, 165, 159, 153, 147, 140, 134,
    128, 122, 116, 109, 103,  97,  91,  85,
     79,  74,  68,  63,  57,  52,  47,  43,
     38,  34,  30,  26,  22,  19,  16,  13,
     11,   8,   6,   5,   3,   2,   2,   1,
      1,   1,   2,   2,   3,   5,   6,   8,
     11,  13,  16,  19,  22,  26,  30,  34,
     38,  43,  47,  52,  57,  63,  68,  74,
     79,  85,  91,  97, 103, 109, 116, 122
};
*/

void init_PWM(void);

//void sound_on(void);
//void sound_off(void);

#endif